From baf268ad647f9cfdf304a6c6b648d1038d38ba44 Mon Sep 17 00:00:00 2001
From: Pierre-Yves Chibon <pingou@pingoured.fr>
Date: Jun 30 2016 10:27:57 +0000
Subject: [PATCH 507/1001] Adjust the username validator since we no longer use username


---

diff --git a/hubs/validators.py b/hubs/validators.py
index f6da8dc..c76c9f2 100755
--- a/hubs/validators.py
+++ b/hubs/validators.py
@@ -21,8 +21,7 @@ def link(session, value):
 
 
 def username(session, value):
-    openid = 'http://%s.id.fedoraproject.org/' % value
-    return not hubs.models.User.by_openid(session, openid) is None
+    return not hubs.models.User.by_username(session, value) is None
 
 
 def github_organization(session, value):

